pandoc

Portability | portable
Stability | alpha
Maintainer | John MacFarlane <jgm@berkeley.edu>

Text.Pandoc.Readers.LaTeX

Description

Conversion of LaTeX to `Pandoc` document.

Synopsis

- readLaTeX :: ParserState -> String -> Pandoc
- rawLaTeXInline :: GenParser Char ParserState Inline
- rawLaTeXEnvironment' :: GenParser Char st String

# Documentation

readLaTeX

Arguments

:: ParserState | Parser state, including options for parser
-> String | String to parse (assumes `'\n'` line endings)
-> Pandoc |

Parse LaTeX from string and return `Pandoc` document.

rawLaTeXInline :: GenParser Char ParserState Inline

Parse any LaTeX command and return it in a raw TeX inline element.

rawLaTeXEnvironment' :: GenParser Char st String

Parse any LaTeX environment and return a string containing the whole literal environment as raw TeX.